xine-lib: xine-lib-1.2.13/include/xine/xine_plugin.h File Reference

xine-lib 1.2.13-20230125hg15249

Data Structures | Macros | Functions
xine_plugin.h File Reference
`#include <xine/attributes.h>`
`#include <xine/os_types.h>`

Go to the source code of this file.

## Data Structures
struct | plugin_info_t
struct | vo_info_t
struct | ao_info_t
struct | decoder_info_t
struct | post_info_t
struct | demuxer_info_t
struct | input_info_t
struct | xine_module_info_t

## Macros
#define | PLUGIN_NONE 0
#define | PLUGIN_INPUT 1
#define | PLUGIN_DEMUX 2
#define | PLUGIN_AUDIO_DECODER 3
#define | PLUGIN_VIDEO_DECODER 4
#define | PLUGIN_SPU_DECODER 5
#define | PLUGIN_AUDIO_OUT 6
#define | PLUGIN_VIDEO_OUT 7
#define | PLUGIN_POST 8
#define | PLUGIN_TYPE_MAX PLUGIN_POST
#define | PLUGIN_XINE_MODULE 0x10
#define | PLUGIN_MUST_PRELOAD (1 << 7)
#define | PLUGIN_NO_UNLOAD (1 << 6)
#define | PLUGIN_TYPE_MASK ((1 << 6) - 1)

## Functions
void | xine_register_plugins (xine_t *self, const plugin_info_t *info)

## Macro Definition Documentation

## ◆ PLUGIN_AUDIO_DECODER

#define PLUGIN_AUDIO_DECODER 3

Referenced by __attribute__(), _decoder_priority_cb(), _dispose_plugin_class(), _insert_node(), dispose_plugin_list(), map_decoders(), save_plugin_list(), and xine_list_audio_decoder_plugins().

## ◆ PLUGIN_AUDIO_OUT

#define PLUGIN_AUDIO_OUT 6

Referenced by _dispose_plugin_class(), _insert_node(), _x_load_audio_output_plugin(), save_plugin_list(), xine_list_audio_output_plugins(), and xine_open_audio_driver().

## ◆ PLUGIN_DEMUX

#define PLUGIN_DEMUX 2

Referenced by _dispose_plugin_class(), _get_demux_strings(), _insert_node(), _x_find_demux_plugin(), _x_find_demux_plugin_by_name(), _x_find_demux_plugin_last_probe(), save_plugin_list(), xine_get_demux_for_mime_type(), and xine_list_demuxer_plugins().

## ◆ PLUGIN_INPUT

#define PLUGIN_INPUT 1

Referenced by _dispose_plugin_class(), _get_input_class(), _insert_node(), _x_find_input_plugin(), save_plugin_list(), xine_get_autoplay_input_plugin_ids(), xine_get_browsable_input_plugin_ids(), and xine_list_input_plugins().

## ◆ PLUGIN_MUST_PRELOAD

#define PLUGIN_MUST_PRELOAD (1 << 7)

Referenced by __attribute__(), and _load_required_plugins().

## ◆ PLUGIN_NO_UNLOAD

#define PLUGIN_NO_UNLOAD (1 << 6)

Referenced by _insert_node().

## ◆ PLUGIN_NONE

#define PLUGIN_NONE 0

Referenced by __attribute__(), _load_plugin_class(), and _register_plugins_internal().

## ◆ PLUGIN_POST

#define PLUGIN_POST 8

Referenced by _dispose_plugin_class(), _insert_node(), _new_catalog(), save_plugin_list(), xine_list_post_plugins(), xine_list_post_plugins_typed(), and xine_post_init().

## ◆ PLUGIN_SPU_DECODER

#define PLUGIN_SPU_DECODER 5

Referenced by _dispose_plugin_class(), _insert_node(), dispose_plugin_list(), map_decoders(), save_plugin_list(), and xine_list_spu_plugins().

## ◆ PLUGIN_TYPE_MASK

#define PLUGIN_TYPE_MASK ((1 << 6) - 1)

Referenced by _decoder_priority_cb(), _dispose_plugin_class(), _insert_node(), _plugin_info_equal(), _register_plugins_internal(), dispose_plugin_list(), and save_plugin_list().

## ◆ PLUGIN_TYPE_MAX

#define PLUGIN_TYPE_MAX PLUGIN_POST

Referenced by _insert_node(), _new_catalog(), _x_dispose_plugins(), load_required_plugins(), save_catalog(), and xine_plugins_garbage_collector().

## ◆ PLUGIN_VIDEO_DECODER

#define PLUGIN_VIDEO_DECODER 4

Referenced by _decoder_priority_cb(), _dispose_plugin_class(), _insert_node(), dispose_plugin_list(), map_decoders(), save_plugin_list(), and xine_list_video_decoder_plugins().

## ◆ PLUGIN_VIDEO_OUT

#define PLUGIN_VIDEO_OUT 7

Referenced by _build_list_typed_plugins(), _dispose_plugin_class(), _insert_node(), _plugin_info_equal(), _x_load_video_output_plugin(), save_plugin_list(), xine_list_video_output_plugins(), xine_list_video_output_plugins_typed(), and xine_new_framegrab_video_port().

## ◆ PLUGIN_XINE_MODULE

#define PLUGIN_XINE_MODULE 0x10

Referenced by _dispose_plugin_class(), _insert_node(), _plugin_info_equal(), and save_plugin_list().

## Function Documentation

## ◆ xine_register_plugins()

void xine_register_plugins | ( | xine_t * | self,
|  | const plugin_info_t * | info )

References _register_plugins_internal(), fat_node_st::info, and NULL.